Subject: Re: [PATCH 1/8] e1000e: cleanup several stats issues

From: "Kok, Auke" <[email-masked]>
Date: Fri, 25 Apr 2008 09:39:18 -0700

Jeff Garzik wrote:
> Auke Kok wrote:
>> From: Bruce Allan <[email-masked]>
>>
>> Several stats registers are completely unused and we just waste pci
>> bus time reading them. We also omit using the high 32 bits of the GORC/
>> GOTC counters. We can just read clear them and only read the low
>> registers.
>>
>> Mii-tool can also break es2lan if it executes a MII PHY register
>> ioctl while the device is in autonegotiation. Unfortunately it seems
>> that several applications and installations still perform this ioctl
>> call periodically and especially in this crucial startup time. We
>> can fool the ioctl by providing fail safe information that mimics
>> the "down" link state and only perform the dangerous PHY reads once
>> after link comes up to fill in the real values. As long as link
>> stays up the information will not change.
>>
>> Signed-off-by: Bruce Allan <[email-masked]>
>> Signed-off-by: Jeff Kirsher <[email-masked]>
>> Signed-off-by: Jesse Brandeburg <[email-masked]>
>> Signed-off-by: Auke Kok <[email-masked]>
> 
> applied 1-8
> 
> I was mainly waiting for the discussion of the abuse of the ethtool
> interface, which I chose to allow.
> 
> Now, send me a patch to the ethtool man page for this new behavior :)

agreed - I'll come up with an appropriate explanation to cover this issue.

Thanks.

Auke